Bug 272361 - Unavailable mounts mounts with Places entries make clients (e.g. Dolphin, Gwenview, file open or save dialogs) hang or become extremely slow
Summary: Unavailable mounts mounts with Places entries make clients (e.g. Dolphin, Gwe...
Status: REPORTED
Alias: None
Product: frameworks-kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR major
Target Milestone: ---
Assignee: David Faure
URL:
Keywords: efficiency, usability
: 274673 283366 288158 292580 320560 328772 335498 337425 344153 354475 354750 356962 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-05-03 20:58 UTC by Peter Hedlund
Modified: 2022-04-12 09:17 UTC (History)
31 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Hedlund 2011-05-03 20:58:55 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

With a samba share mounted via /etc/fstab an entry is automatically created in the Places panel. If Dolphin is started and this share is not available on the current network Dolphin becomes unusable to the point that it has to be forcefully terminated. 

Reproducible: Always



Expected Results:  
Unavailable shares should be ignored.

OS: Linux (x86_64) release 2.6.38-8-generic
Compiler: cc
Comment 1 Nate Graham 2018-04-09 19:03:53 UTC
*** Bug 337425 has been marked as a duplicate of this bug. ***
Comment 2 Nate Graham 2018-04-09 19:53:38 UTC
*** Bug 288158 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2018-04-09 19:56:27 UTC
*** Bug 354750 has been marked as a duplicate of this bug. ***
Comment 4 Nate Graham 2018-04-09 19:56:37 UTC
*** Bug 274673 has been marked as a duplicate of this bug. ***
Comment 5 Nate Graham 2018-04-09 19:56:40 UTC
*** Bug 292580 has been marked as a duplicate of this bug. ***
Comment 6 Nate Graham 2018-04-09 19:56:43 UTC
*** Bug 335498 has been marked as a duplicate of this bug. ***
Comment 7 Nate Graham 2018-04-09 19:56:45 UTC
*** Bug 344153 has been marked as a duplicate of this bug. ***
Comment 8 Nate Graham 2018-04-09 19:56:50 UTC
*** Bug 354475 has been marked as a duplicate of this bug. ***
Comment 9 Nate Graham 2018-04-09 19:56:57 UTC
*** Bug 356962 has been marked as a duplicate of this bug. ***
Comment 10 Nate Graham 2018-04-09 20:21:40 UTC
*** Bug 328772 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2018-04-09 20:22:16 UTC
*** Bug 283366 has been marked as a duplicate of this bug. ***
Comment 12 Felix Miata 2018-04-09 21:17:55 UTC
Per dupes, this applies to multiple distros, not just *buntu. And it's not just about Samba, but NFS as well.
Comment 13 Nate Graham 2018-04-09 22:02:12 UTC
*** Bug 320560 has been marked as a duplicate of this bug. ***
Comment 14 Stefan Brüns 2018-04-09 23:17:44 UTC
Clarify "not available", please!
Comment 15 Nate Graham 2018-04-09 23:21:39 UTC
When they're on a part of a network that you're not on.

For example: you have a samba share mounted via an entry in /etc/fstab for your home music, video, or backup server and you make a Places panel entry for it. Then you take your laptop and go to a coffee shop and connect to their wifi network. The samba mount is no longer available.
Comment 16 null 2018-04-16 09:58:59 UTC
> Clarify "not available", please!
That's the right question to ask, because blindly duplicating things to this bug does not really help.

The problem is with places which are still mounted through non-KIO mechanisms, although their backing server is not accessible anymore (network down, server stopped etc.). If you have no coffee shop nearby, follow those steps to reproduce:
- Configure and start samba server on localhost, share folder from Dolphin.
- "mount -t cifs" this folder to /mnt, Dolphin should automatically add an entry to the "Remote" section.
- Navigate to the new entry, "Add to places".
- Stop samba server without umounting first.
- Observe how clicking on both entries in the places panel results in a hang, which only after a long timeout is resolved with "Could not enter folder /mnt".
- Another way to trigger is via the places panel in the file dialog or in Gwenview, where hovering over an entry (so the free space is calculated) is enough to cause a hang.

Not affected are places which are accessed via a KIO slave, e.g. fish:/ or smb:/.

Also note the emphasis on "clicking on or hovering over the entry". If e.g. Gwenview hangs on startup without clicking on anything, that's obviously not caused by the places panel, but by its "Recent Folders" panel.

In addition, some duplicated bugs were about accessing local folders without clicking on remote ones. I believe that has been fixed some time ago by making the places panel query free space information only on hover, but not on every relayout or opening of the file dialog.

Another thing to watch out for is when a "delay" is reported vs. a "hang". The first is caused by autofs taking some time until the mount is eventually available, the latter is caused by the complete unavailability of the mount. Note as well that a non-autofs place which is not yet mounted will not cause a hang, the hang only occurs when the place is mounted (i.e. it has been available before) but the server times out at a later point in time.

Yet another related issue is Bug 288158 (which has also been duplicated to this bug), where accessing a faulty CD causes freezes. Same thing for Bug 337425, which is about "slow" (but still available) mounts. All that makes me wonder whether this bug should not be about "unavailable mounts", but about mounts which are timing out.

I doubt there is much KDE can do here in terms of preventing this timeout in the mount itself, because even an "ls /mnt" will show the same behaviour. What could be done is:
- On the system level: Find a way to auto-umount mountpoints which are gone (would only help for a subset of the duplicates), or drastically reduce the timeout (would help in every case).
- In the places panel and in each application separately: Mitigate the effects on the user experience, i.e. instead of hanging on startup or when clicking on things, run the checks in the background so the UI remains interactive.

---

@Nate: Please go through all bugs you duplicated to this one and make sure they are really about the same issue. Otherwise unduplicate, close if fixed or duplicate to the proper bug.
Comment 17 John Little 2020-05-17 06:34:17 UTC
A bug marked as a duplicate of this affects gwenview when KDEConnect is active.
gwenview hangs (GUI unresponsive and undrawn) for 25 s.  This is not some mount not available; the "Device" in dolphin works fine, with no delay.  If the phone paired through KDEConnect is unpaired there is no problem.
Comment 18 Ahmad Samir 2021-07-20 22:08:39 UTC
IIUC there are two different Places panels, one from KIO (which is used in e.g. the open file dialog that you can invoke from kwrite or kate), and one from Dolphin, do both have the issue?